Payin
Get Payin Details
This API allows you to fetch the details of a specific payin request. You can use the UUID to retrieve the details of a specific payment request.
GET
/
v2
/
payins
/
detail
Get Payin Details
curl --request GET \
--url https://api.cleverhub.co/api/v2/payins/detail \
--header 'app-id: <api-key>' \
--header 'secret-key: <api-key>'import requests
url = "https://api.cleverhub.co/api/v2/payins/detail"
headers = {
"app-id": "<api-key>",
"secret-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'app-id': '<api-key>', 'secret-key': '<api-key>'}};
fetch('https://api.cleverhub.co/api/v2/payins/detail', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "VMMAOTFQ",
"name": "Hello Clever",
"description": "description",
"email": "test@example.com",
"external_id": "123456",
"status": "pending",
"pay_code": {
"payment_url": "https://sandbox-api.lightningpay.me/v1/shorted_url?hash=o10MJUBg"
},
"currency": "AUD",
"gst": false,
"amount": "1000.0",
"gst_amount": "0",
"total": "1000.0",
"paid_amount": "0",
"payment_method": "au_payid_npp_aud",
"is_refundable": "false",
"expired_at": "2021-12-23T06:00:00.000+0000",
"pay_by": "2021-12-23T06:00:00.000+0000",
"webhook_notification": {
"endpoint_url": "https://yourserver.co/notifications",
"authorization_header": "****"
},
"metadata": {
"custom_note": "Priority customer"
}
}Authorizations
A unique identifier assigned to each application.
A secure token associated with the app-id.
Query Parameters
Unique ID in system.
Response
OK
Unique Id in system.
Example:
"VMMAOTFQ"
Customer name.
Example:
"Test"
Customer email.
Example:
"test@example.com"
Custom ID.
Example:
"123456"
Example:
"pending"
Code using pay
Show child attributes
Show child attributes
Example:
"PHP"
Example:
false
Example:
1000
Example:
0
Example:
1000
Example:
1000
Example:
"ph_ewallet_gcash_php"
Example:
"description"
Example:
false
Example:
"2021-12-24T06:00:00.000+0000"
Example:
"2021-12-23T06:00:00.000+0000"
Show child attributes
Show child attributes
Optional custom metadata to attach to the transaction.
Get Payin Details
